fileVerison: 1
packageType: Install
softwareName: AnalyzerCommon
softwareVersion: V100R020C10SPC300
releaseType: Full
packageFormat: SolutionV3
featureGroup:
  all:
    NCE-IP:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-IP.json
      deployOrder: 200
    NCE-T:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-IP.json
      deployOrder: 200
    NCE-SUPER:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-SUPER.json
      deployOrder: 200
    NCE-FAN:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-FAN.json
      deployOrder: 200
    NCE-IP-SUPER:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-IP.json
      deployOrder: 200
    NCE-IP-T:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-IP.json
      deployOrder: 200
    NCE-IP-SUPER-T:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-IP.json
      deployOrder: 200
    NCE-AnalyzerReport:
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_NCE-AnalyzerReport.json
      deployOrder: 200
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: AnalyzerReport
      require: optional
      deployTemplate: AnalyzerReport_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    NCE-AnalyzerCommon:
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_6k.json
      mgmtSize:
      - '1000'
      - '2000'
      - '6000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_15k.json
      mgmtSize:
      - '15000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_30k.json
      mgmtSize:
      - '30000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_50k.json
      mgmtSize:
      - '50000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_80k.json
      mgmtSize:
      - '80000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_100k.json
      mgmtSize:
      - '100000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_db_zenith_nmscloud_150k.json
      mgmtSize:
      - '150000'
      deployOrder: 22
    - serviceName: PerfSelfOAM
      require: optional
      deployTemplate: PerfSelfOAM_NCE-AnalyzerCommon.json
      deployOrder: 200

input:
  NCE-IP:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: IP
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
  NCE-SUPER:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: SUPER
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
  NCE-T:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: IP
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
  NCE-IP-SUPER:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: IP
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
  NCE-IP-T:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: IP
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
  NCE-IP-SUPER-T:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: IP
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
  NCE-AnalyzerReport:
    Analyzer_Scale:
      description: Analyzer_Scale
      default: 6K
      type: string
      require: true
    Analyzer_Scene:
      description: Analyzer_Scene
      default: IP
      type: string
      require: true
    regionAlias:
      description: regionAlias name
      default: NCE
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
resources:
  softwareName:   #必选，软件名称资源，用于界面显示
    zh_CN: 分析公共服务包。
    en_US: Analysis common service package.
  packageType:    #必选，包类型资源，用于界面显示
    Install:
      en_US: Install Package
      zh_CN: 安装包
  featureGroup:    #如果有定义特性集则必须提供
    all:
      en_US: ALL
      zh_CN: 全量特性
  feature:          #如果有定义特性则必选
    NCE-IP:
      en_US: NCE-IP
      zh_CN: NCE-IP
    NCE-SUPER:
      en_US: NCE-SUPER
      zh_CN: NCE-SUPER
    NCE-T:
      en_US: NCE-T
      zh_CN: NCE-T
    NCE-IP-SUPER:
      en_US: NCE-IP-SUPER
      zh_CN: NCE-IP-SUPER
    NCE-IP-T:
      en_US: NCE-IP-T
      zh_CN: NCE-IP-T
    NCE-IP-SUPER-T:
      en_US: NCE-IP-SUPER-T
      zh_CN: NCE-IP-SUPER-T
    NCE-AnalyzerReport:
      en_US: NCE-AnalyzerReport
      zh_CN: NCE-AnalyzerReport
  input:
    tenantName:
      en_US: tenantName
      zh_CN: tenantName
    regionAlias:
      en_US: regionAlias
      zh_CN: regionAlias
    Analyzer_Scene:
      en_US: Analyzer_Scene
      zh_CN: Analyzer_Scene
    Analyzer_Scale:
      en_US: Analyzer_Scale
      zh_CN: Analyzer_Scale
